Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Raspberry Pi minifi 0.4 secure site to site java error

Highlighted

Raspberry Pi minifi 0.4 secure site to site java error

New Contributor

After days of testing I found an issue with Minifi version 0.4 when configured to run in secure Site to Site connection. The error is : "java.lang.NoSuchMethodError: org.apache.http.impl.client.HttpClientBuilder.setSSLContext(Ljavax/net/ssl/SSLContext;)Lorg/apache/http/impl/client/HttpClientBuilder;".

When running Minifi version 0.3 it works with NiFi 1.4

I updated java version ( to build 1.8.0_171-b11 ) and the error is the same when running Minifi 0.4 and NiFi 1.4 or NiFi 1.6

If I removed the secured connection Minifi 0.4 works fine. This same environment worked for months without errors before I start testing the secure S2S last week.

Can anyone help me?

Thanks,

Ricardo

Don't have an account?
Coming from Hortonworks? Activate your account here